1

I'm trying to update my MongoDB installation from 3.6 to the latest version [4.4] on Ubuntu16.04 using apt-get. Going from 4.0 to 4.2 I faced a problem during the startup process after updating the binaries and mongo.log shows the exception below:

2020-08-07T14:58:26.205+0300 I STORAGE [initandlisten] exception in initAndListen: Location40415: BSON field 'MinValidDocument.oplogDeleteFromPoint' is an unknown field., terminating

I'm using WiredTiger and I checked the feature compatibility version and other prerequisites according to the installation and the compatibility docs and everything looks fine. I also tried mongod repair but with no luck.

I don't have any clue on what could be the source of this problem and I'd be grateful if someone can help.

1

Interesting.. It should not be possible... From the source:

    cpp_name: oldOplogDeleteFromPoint
                type: timestamp
                optional: true # This field only exists on 3.4 upgrade
                description: "The timestamp of the first oplog entry in a batch when we are writing
                              oplog entries to the oplog after which the oplog may be inconsistent.
                              This field only exists on 3.4 upgrade."

And this problem only exists on unclean upgrade from <=3.4 version. It is removed from source code at version 3.8 forward.

Yes, I know, this answer doesn't solve the problem, but... It looks like that your upgrade process was not "by the book", sorry.

  • Thanks for your response @JJussi! Yes, you're 100% right, this installation was actually upgraded before from version 3.2. I don't know what could have been done wrong in the last update but it's clear that there was a problem because I haven't found any other questions for a similar issue. However, the solution was to simply unset the value of 'oplogDeleteFromPoint' and upgrade the Mongodb binaries. I don't know if there are other problems that may arise in the future but this did the trick for now. – Anas A Obeidat Aug 8 '20 at 12:13
1

The problem appeared after updating the binaries to version 4.2. When I start the mongo service, the service fails to start and the log shows this exception before it starts the shutdown procedure:

2020-08-07T14:58:26.205+0300 I  STORAGE  [initandlisten] exception in initAndListen: Location40415: BSON field 'MinValidDocument.oplogDeleteFromPoint' is an unknown field., terminating 

According to @JJussi, the 'oldOplogDeleteFromPoint' isn't supposed to be there since it was removed from versions > 3.4 which turned out to be the problem in my case. The solution was to unset the 'oplogDeleteFromPoint' like @Pavel_Duchovny advised here. After that, I updated the binaries and the service started normally.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.